SystemOrganization addCategory: #Compatibility!

!Boolean methodsFor: '*compatibility' stamp: 'StephaneDucasse 6/27/2010 18:19'!
and: block1 and: block2
	"Nonevaluating conjunction without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as false, then return false immediately,
		without evaluating any further blocks.
	If all return true, then return true."
	
	self deprecated: 'use and:'.
	self ifFalse: [^ false].
	block1 value ifFalse: [^ false].
	block2 value ifFalse: [^ false].
	^ true! !

!Boolean methodsFor: '*compatibility' stamp: 'StephaneDucasse 4/27/2010 11:46'!
and: block1 and: block2 and: block3
	"Nonevaluating conjunction without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as false, then return false immediately,
		without evaluating any further blocks.
	If all return true, then return true."
	
	self deprecated: 'Use and: instead'. 
	
	self ifFalse: [^ false].
	block1 value ifFalse: [^ false].
	block2 value ifFalse: [^ false].
	block3 value ifFalse: [^ false].
	^ true! !

!Boolean methodsFor: '*compatibility' stamp: 'StephaneDucasse 5/26/2010 21:35'!
and: block1 and: block2 and: block3 and: block4
	"Nonevaluating conjunction without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as false, then return false immediately,
		without evaluating any further blocks.
	If all return true, then return true."

	self deprecated: 'Use and: instead'. 
	
	self ifFalse: [^ false].
	block1 value ifFalse: [^ false].
	block2 value ifFalse: [^ false].
	block3 value ifFalse: [^ false].
	block4 value ifFalse: [^ false].
	^ true! !

!Boolean methodsFor: '*compatibility' stamp: 'jannik.laval 2/5/2010 21:41'!
or: block1 or: block2
	"Nonevaluating alternation without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as true, then return true immediately,
		without evaluating any further blocks.
	If all return false, then return false."
	self deprecated:'use a or:[b or:[c]] instead'.
	self ifTrue: [^ true].
	block1 value ifTrue: [^ true].
	block2 value ifTrue: [^ true].
	^ false! !

!Boolean methodsFor: '*compatibility' stamp: 'jannik.laval 2/5/2010 21:42'!
or: block1 or: block2 or: block3
	"Nonevaluating alternation without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as true, then return true immediately,
		without evaluating any further blocks.
	If all return false, then return false."
	self deprecated:'use a or:[b or:[c or:[d]]] instead'.
	self ifTrue: [^ true].
	block1 value ifTrue: [^ true].
	block2 value ifTrue: [^ true].
	block3 value ifTrue: [^ true].
	^ false! !

!Boolean methodsFor: '*compatibility' stamp: 'jannik.laval 2/5/2010 21:42'!
or: block1 or: block2 or: block3 or: block4
	"Nonevaluating alternation without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as true, then return true immediately,
		without evaluating any further blocks.
	If all return false, then return false."
	self deprecated:'use a or:[b or:[c or:[d or:[e]]]] instead'.
	self ifTrue: [^ true].
	block1 value ifTrue: [^ true].
	block2 value ifTrue: [^ true].
	block3 value ifTrue: [^ true].
	block4 value ifTrue: [^ true].
	^ false! !

Object subclass: #Preferences
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compatibility'!

!Preferences commentStamp: 'MarcusDenker 6/12/2011 22:09' prior: 0!
An empty class to help people loading their code when it contains sends to  methods of the old Preferences.!

Object subclass: #Utilities
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compatibility'!

!Utilities commentStamp: 'MarcusDenker 6/12/2011 22:08' prior: 0!
An empty class to help people loading their code when it contains sends to  methods of Utilities.!

!BlockClosure methodsFor: '*compatibility' stamp: 'LucFabresse 2/10/2010 09:36'!
fixTemps
	"Fix the values of the temporary variables used in the block that
	 are  ordinarily shared with the method in which the block is defined.
	 This is a no-op for closures, provided for backward-compatibility with
	 old BlockContexts that needed the fixTemps hack to persist."
	 self deprecated: 'BlockClosure does not need to fixTemps'.! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/3/2011 19:30'!
hasBindingThatBeginsWith: aString
	^globals hasBindingThatBeginsWith: aString! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:39'!
isMacOS

	self deprecated: 'Use OSPlatform'.
	^ self os isMacOS! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
isUnix

	self deprecated: 'Use OSPlatform'.
	^ self os isUnix ! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
isWin32

	self deprecated: 'Use OSPlatform'.
	^ self os isWin32 ! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
isWin32CE

	self deprecated: 'Use OSPlatform'.
	^ self os isWin32CE! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
isX11

	self deprecated: 'Use OSPlatform'.
	^ self os isX11! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
osVersion
	"Return the version number string of the platform we're running on"
	"SmalltalkImage current osVersion"

	self deprecated: 'Use OSPlatform'.
	^ self os osVersion! !

!SmalltalkImage methodsFor: '*compatibility' stamp: ''!
platformName
	"Return the name of the platform we're running on"

	self deprecated: 'Use Smalltalk os platformName'.
	^self os platformName! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
platformSubtype
	"Return the subType of the platform we're running on"

	self deprecated: 'Use OSPlatform'.
	^ self os platformSubtype ! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/1/2011 14:40'!
windowSystemName			
	"Return the name of the window system currently being used for display."
	"Smalltalk os windowSystemName"

	self deprecated: 'Use OSPlatform'.
	^ self os windowSystemName ! !

Morph subclass: #TheWorldMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compatibility'!

!TheWorldMenu commentStamp: 'StephaneDucasse 2/23/2010 21:10' prior: 0!
Just a placeholder so that old code can still load. !
